# datetime::parse

Converts the specified string representation of a date and time to its DateTime equivalent.

### Usage

`datetime datetime::parse(s)`

### Parameters

Name | Type | Description
--- | --- | ---
s | string | A string containing a date and time to convert.

### Return Value

A DateTime equivalent to the date and time contained in s.

### Exceptions

The function will fail in any of the following circumstances:

- s does not contain a valid string representation of a date and time.

### Remarks

The DateTimeFormatInfo for the invariant culture is used to supply formatting information about s.

### Requirements

Assembly: NAnt.Core (0.92.4543.0)